Bug 854234 - Review Request: jsr-166-mirror - Concurrency JSR-166
Review Request: jsr-166-mirror - Concurrency JSR-166
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Simacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-04 09:02 EDT by gil cattaneo
Modified: 2014-11-03 13:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-31 09:10:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
msimacek: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-09-04 09:02:45 EDT
Spec URL: http://gil.fedorapeople.org/jsr-166-mirror-1.7.0-1.fc16.src.rpm
SRPM URL: http://gil.fedorapeople.org/jsr-166-mirror.spec
Description: This project has the sole purpose of being a mirror
for Doug Lea’s CVS repository for JSR-166 code that
he and collaborators develop, allowing the artifacts
to be injected into the Codehaus repository and
thence the Maven repository.

The JSR proposes a set of medium-level utilities that
provide functionality commonly needed in concurrent programs.

Codehaus projects such as GPars (http://gpars.codehaus.org)
depend on these artifacts.

See http://gee.cs.oswego.edu/dl/concurrency-interest/
Fedora Account System Username: gil
Comment 2 Michael Simacek 2014-10-31 07:34:18 EDT
jsr166 should be already implemented as a part of JDK's java.util.concurrent, is this package still necessary?
Comment 3 gil cattaneo 2014-10-31 08:15:44 EDT
(In reply to Michael Simacek from comment #2)
> jsr166 should be already implemented as a part of JDK's
> java.util.concurrent, is this package still necessary?

Seem is not the same apis ...
compile:
  [groovyc] Compiling 246 source files to /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/target/classes
  [groovyc] org.codehaus.groovy.control.MultipleCompilationErrorsException: startup failed:
  [groovyc] Compile error during compilation with javac.
  [groovyc] warning: [options] bootstrap class path not set in conjunction with -source 1.5
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/group/PGroup.java:20: error: cannot find symbol
  [groovyc] import groovy.lang.DelegatesTo;
  [groovyc]                   ^
  [groovyc]   symbol:   class DelegatesTo
  [groovyc]   location: package groovy.lang
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/actor/DefaultActor.java:20: error: cannot find symbol
  [groovyc] import groovy.lang.DelegatesTo;
  [groovyc]                   ^
  [groovyc]   symbol:   class DelegatesTo
  [groovyc]   location: package groovy.lang
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/GParsPoolUtil.java:36: error: package jsr166y does not exist
  [groovyc] import jsr166y.ForkJoinPool;
  [groovyc]               ^
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/GParsPoolUtil.java:37: error: package jsr166y does not exist
  [groovyc] import jsr166y.RecursiveTask;
  [groovyc]               ^
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/GParsPoolUtil.java:73: error: cannot find symbol
  [groovyc]     private static ForkJoinPool retrievePool() {
  [groovyc]                    ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class GParsPoolUtil
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/GParsPoolUtil.java:133: error: cannot find symbol
  [groovyc]     public static <T> Future<T> leftShift(final ForkJoinPool pool, final Closure<T> task) {
  [groovyc]                                                 ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class GParsPoolUtil
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/scheduler/FJPool.java:20: error: package jsr166y does not exist
  [groovyc] import jsr166y.ForkJoinPool;
  [groovyc]               ^
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/GParsPoolUtil.java:284: error: cannot find symbol
  [groovyc]     private static <K, V> ParallelArray<Map.Entry<K, V>> createPA(final Map<K, V> collection, final ForkJoinPool pool) {
  [groovyc]                                                                                                     ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class GParsPoolUtil
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelArray.java:9: error: package jsr166y does not exist
  [groovyc] import jsr166y.ForkJoinPool;
  [groovyc]               ^
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/AbstractParallelAnyArray.java:9: error: package jsr166y does not exist
  [groovyc] import jsr166y.ForkJoinPool;
  [groovyc]               ^
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelArrayWithBounds.java:9: error: package jsr166y does not exist
  [groovyc] import jsr166y.ForkJoinPool;
  [groovyc]               ^
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelArrayWithFilter.java:9: error: package jsr166y does not exist
  [groovyc] import jsr166y.ForkJoinPool;
  [groovyc]               ^
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelArrayWithMapping.java:9: error: package jsr166y does not exist
  [groovyc] import jsr166y.ForkJoinPool;
  [groovyc]               ^
  [groovyc] /tmp/groovy-generated-792194547377993076-java-source/groovyx/gpars/pa/PAWrapper.java:10: error: cannot find symbol
  [groovyc] @groovy.transform.CompileStatic(value=groovy.transform.TypeCheckingMode.PASS) public final class PAWrapper
  [groovyc]                  ^
  [groovyc]   symbol:   class CompileStatic
  [groovyc]   location: package groovy.transform
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/scheduler/FJPool.java:34: error: cannot find symbol
  [groovyc]     protected final ForkJoinPool pool;
  [groovyc]                     ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class FJPool
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/scheduler/FJPool.java:61: error: cannot find symbol
  [groovyc]     public FJPool(final ForkJoinPool pool) {
  [groovyc]                         ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class FJPool
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/scheduler/FJPool.java:73: error: cannot find symbol
  [groovyc]     private static ForkJoinPool createPool(final int poolSize) {
  [groovyc]                    ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class FJPool
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/scheduler/FJPool.java:131: error: cannot find symbol
  [groovyc]     public final ForkJoinPool getForkJoinPool() {
  [groovyc]                  ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class FJPool
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelArray.java:186: error: cannot find symbol
  [groovyc]     public static ForkJoinPool defaultExecutor() {
  [groovyc]                   ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelArray<T>
  [groovyc]   where T is a type-variable:
  [groovyc]     T extends Object declared in class ParallelArray
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelArray.java:205: error: cannot find symbol
  [groovyc]     protected ParallelArray(ForkJoinPool executor, T[] array, int limit) {
  [groovyc]                             ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelArray<T>
  [groovyc]   where T is a type-variable:
  [groovyc]     T extends Object declared in class ParallelArray
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelArray.java:216: error: cannot find symbol
  [groovyc]     ParallelArray(ForkJoinPool executor, T[] array) {
  [groovyc]                   ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelArray<T>
  [groovyc]   where T is a type-variable:
  [groovyc]     T extends Object declared in class ParallelArray
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelArray.java:230: error: cannot find symbol
  [groovyc]          ForkJoinPool executor) {
  [groovyc]          ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelArray<T>
  [groovyc]   where T is a type-variable:
  [groovyc]     T extends Object declared in class ParallelArray
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelArray.java:245: error: cannot find symbol
  [groovyc]         (T[] handoff, ForkJoinPool executor) {
  [groovyc]                       ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelArray<T>
  [groovyc]   where T is a type-variable:
  [groovyc]     T extends Object declared in class ParallelArray
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelArray.java:257: error: cannot find symbol
  [groovyc]         (T[] source, ForkJoinPool executor) {
  [groovyc]                      ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelArray<T>
  [groovyc]   where T is a type-variable:
  [groovyc]     T extends Object declared in class ParallelArray
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelArray.java:275: error: cannot find symbol
  [groovyc]         (int size, T[] source, ForkJoinPool executor) {
  [groovyc]                                ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelArray<T>
  [groovyc]   where T is a type-variable:
  [groovyc]     T extends Object declared in class ParallelArray
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelArray.java:296: error: cannot find symbol
  [groovyc]          ForkJoinPool executor) {
  [groovyc]          ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelArray<T>
  [groovyc]   where T is a type-variable:
  [groovyc]     T extends Object declared in class ParallelArray
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelArray.java:322: error: cannot find symbol
  [groovyc]     public ForkJoinPool getExecutor() { return ex; }
  [groovyc]            ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelArray<T>
  [groovyc]   where T is a type-variable:
  [groovyc]     T extends Object declared in class ParallelArray
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelArrayWithDoubleMapping.java:9: error: package jsr166y does not exist
  [groovyc] import jsr166y.ForkJoinPool;
  [groovyc]               ^
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelArrayWithLongMapping.java:9: error: package jsr166y does not exist
  [groovyc] import jsr166y.ForkJoinPool;
  [groovyc]               ^
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelDoubleArrayWithDoubleMapping.java:9: error: package jsr166y does not exist
  [groovyc] import jsr166y.ForkJoinPool;
  [groovyc]               ^
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelLongArrayWithLongMapping.java:9: error: package jsr166y does not exist
  [groovyc] import jsr166y.ForkJoinPool;
  [groovyc]               ^
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/AbstractParallelAnyArray.java:59: error: cannot find symbol
  [groovyc]     final ForkJoinPool ex;
  [groovyc]           ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class AbstractParallelAnyArray
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/AbstractParallelAnyArray.java:64: error: cannot find symbol
  [groovyc]     AbstractParallelAnyArray(ForkJoinPool ex, int origin, int fence) {
  [groovyc]                              ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class AbstractParallelAnyArray
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/AbstractParallelAnyArray.java:503: error: cannot find symbol
  [groovyc]         OUPap(ForkJoinPool ex, int origin, int fence, T[] array) {
  [groovyc]               ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class OUPap<T>
  [groovyc]   where T is a type-variable:
  [groovyc]     T extends Object declared in class OUPap
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelArrayWithBounds.java:23: error: cannot find symbol
  [groovyc]         (ForkJoinPool ex, int origin, int fence, T[] array) {
  [groovyc]          ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelArrayWithBounds<T>
  [groovyc]   where T is a type-variable:
  [groovyc]     T extends Object declared in class ParallelArrayWithBounds
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelArrayWithFilter.java:28: error: cannot find symbol
  [groovyc]     ParallelArrayWithFilter(ForkJoinPool ex, int origin, int fence, T[] array) {
  [groovyc]                             ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelArrayWithFilter<T>
  [groovyc]   where T is a type-variable:
  [groovyc]     T extends Object declared in class ParallelArrayWithFilter
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelArrayWithMapping.java:38: error: cannot find symbol
  [groovyc]     ParallelArrayWithMapping(ForkJoinPool ex, int origin, int fence,
  [groovyc]                              ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelArrayWithMapping<T,U>
  [groovyc]   where T,U are type-variables:
  [groovyc]     T extends Object declared in class ParallelArrayWithMapping
  [groovyc]     U extends Object declared in class ParallelArrayWithMapping
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/AbstractParallelAnyArray.java:414: error: cannot find symbol
  [groovyc]         OPap(ForkJoinPool ex, int origin, int fence, T[] array) {
  [groovyc]              ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class OPap<T>
  [groovyc]   where T is a type-variable:
  [groovyc]     T extends Object declared in class OPap
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelArrayWithDoubleMapping.java:38: error: cannot find symbol
  [groovyc]         (ForkJoinPool ex, int origin, int fence, T[] array) {
  [groovyc]          ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelArrayWithDoubleMapping<T>
  [groovyc]   where T is a type-variable:
  [groovyc]     T extends Object declared in class ParallelArrayWithDoubleMapping
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelDoubleArray.java:9: error: package jsr166y does not exist
  [groovyc] import jsr166y.ForkJoinPool;
  [groovyc]               ^
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelDoubleArrayWithBounds.java:9: error: package jsr166y does not exist
  [groovyc] import jsr166y.ForkJoinPool;
  [groovyc]               ^
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelDoubleArrayWithFilter.java:9: error: package jsr166y does not exist
  [groovyc] import jsr166y.ForkJoinPool;
  [groovyc]               ^
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelArrayWithLongMapping.java:38: error: cannot find symbol
  [groovyc]         (ForkJoinPool ex, int origin, int fence, T[] array) {
  [groovyc]          ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelArrayWithLongMapping<T>
  [groovyc]   where T is a type-variable:
  [groovyc]     T extends Object declared in class ParallelArrayWithLongMapping
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelLongArray.java:9: error: package jsr166y does not exist
  [groovyc] import jsr166y.ForkJoinPool;
  [groovyc]               ^
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelLongArrayWithBounds.java:9: error: package jsr166y does not exist
  [groovyc] import jsr166y.ForkJoinPool;
  [groovyc]               ^
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelLongArrayWithFilter.java:9: error: package jsr166y does not exist
  [groovyc] import jsr166y.ForkJoinPool;
  [groovyc]               ^
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelDoubleArrayWithDoubleMapping.java:38: error: cannot find symbol
  [groovyc]         (ForkJoinPool ex, int origin, int fence, double[] array) {
  [groovyc]          ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelDoubleArrayWithDoubleMapping
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelDoubleArrayWithLongMapping.java:9: error: package jsr166y does not exist
  [groovyc] import jsr166y.ForkJoinPool;
  [groovyc]               ^
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelDoubleArrayWithMapping.java:9: error: package jsr166y does not exist
  [groovyc] import jsr166y.ForkJoinPool;
  [groovyc]               ^
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/AbstractParallelAnyArray.java:444: error: cannot find symbol
  [groovyc]         DPap(ForkJoinPool ex, int origin, int fence, double[] array) {
  [groovyc]              ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class DPap
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelLongArrayWithLongMapping.java:38: error: cannot find symbol
  [groovyc]         (ForkJoinPool ex, int origin, int fence, long[] array) {
  [groovyc]          ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelLongArrayWithLongMapping
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelLongArrayWithDoubleMapping.java:9: error: package jsr166y does not exist
  [groovyc] import jsr166y.ForkJoinPool;
  [groovyc]               ^
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelLongArrayWithMapping.java:9: error: package jsr166y does not exist
  [groovyc] import jsr166y.ForkJoinPool;
  [groovyc]               ^
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/AbstractParallelAnyArray.java:474: error: cannot find symbol
  [groovyc]         LPap(ForkJoinPool ex, int origin, int fence, long[] array) {
  [groovyc]              ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class LPap
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelDoubleArray.java:60: error: cannot find symbol
  [groovyc]     public static ForkJoinPool defaultExecutor() {
  [groovyc]                   ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelDoubleArray
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelDoubleArray.java:76: error: cannot find symbol
  [groovyc]     protected ParallelDoubleArray(ForkJoinPool executor, double[] array,
  [groovyc]                                   ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelDoubleArray
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelDoubleArray.java:88: error: cannot find symbol
  [groovyc]     ParallelDoubleArray(ForkJoinPool executor, double[] array) {
  [groovyc]                         ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelDoubleArray
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelDoubleArray.java:99: error: cannot find symbol
  [groovyc]         (int size, ForkJoinPool executor) {
  [groovyc]                    ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelDoubleArray
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelDoubleArray.java:114: error: cannot find symbol
  [groovyc]         (double[] handoff, ForkJoinPool executor) {
  [groovyc]                            ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelDoubleArray
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelDoubleArray.java:126: error: cannot find symbol
  [groovyc]         (double[] source, ForkJoinPool executor) {
  [groovyc]                           ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelDoubleArray
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelDoubleArray.java:143: error: cannot find symbol
  [groovyc]         (int size, double[] source, ForkJoinPool executor) {
  [groovyc]                                     ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelDoubleArray
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelDoubleArray.java:160: error: cannot find symbol
  [groovyc]         (int size, ForkJoinPool executor) {
  [groovyc]                    ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelDoubleArray
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelDoubleArray.java:190: error: cannot find symbol
  [groovyc]     public ForkJoinPool getExecutor() { return ex; }
  [groovyc]            ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelDoubleArray
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/AbstractParallelAnyArray.java:716: error: cannot find symbol
  [groovyc]         DUPap(ForkJoinPool ex, int origin, int fence, double[] array) {
  [groovyc]               ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class DUPap
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelDoubleArrayWithBounds.java:22: error: cannot find symbol
  [groovyc]         (ForkJoinPool ex, int origin, int fence, double[] array) {
  [groovyc]          ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelDoubleArrayWithBounds
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelDoubleArrayWithFilter.java:28: error: cannot find symbol
  [groovyc]         (ForkJoinPool ex, int origin, int fence, double[] array) {
  [groovyc]          ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelDoubleArrayWithFilter
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelLongArray.java:100: error: cannot find symbol
  [groovyc]     public static ForkJoinPool defaultExecutor() {
  [groovyc]                   ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelLongArray
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelLongArray.java:116: error: cannot find symbol
  [groovyc]     protected ParallelLongArray(ForkJoinPool executor, long[] array,
  [groovyc]                                 ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelLongArray
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelLongArray.java:128: error: cannot find symbol
  [groovyc]     ParallelLongArray(ForkJoinPool executor, long[] array) {
  [groovyc]                       ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelLongArray
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelLongArray.java:139: error: cannot find symbol
  [groovyc]         (int size, ForkJoinPool executor) {
  [groovyc]                    ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelLongArray
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelLongArray.java:154: error: cannot find symbol
  [groovyc]         (long[] handoff, ForkJoinPool executor) {
  [groovyc]                          ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelLongArray
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelLongArray.java:166: error: cannot find symbol
  [groovyc]         (long[] source, ForkJoinPool executor) {
  [groovyc]                         ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelLongArray
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelLongArray.java:183: error: cannot find symbol
  [groovyc]         (int size, long[] source, ForkJoinPool executor) {
  [groovyc]                                   ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelLongArray
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelLongArray.java:200: error: cannot find symbol
  [groovyc]         (int size, ForkJoinPool executor) {
  [groovyc]                    ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelLongArray
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelLongArray.java:230: error: cannot find symbol
  [groovyc]     public ForkJoinPool getExecutor() { return ex; }
  [groovyc]            ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelLongArray
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/AbstractParallelAnyArray.java:930: error: cannot find symbol
  [groovyc]         LUPap(ForkJoinPool ex, int origin, int fence,
  [groovyc]               ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class LUPap
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelLongArrayWithBounds.java:22: error: cannot find symbol
  [groovyc]         (ForkJoinPool ex, int origin, int fence, long[] array) {
  [groovyc]          ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelLongArrayWithBounds
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelLongArrayWithFilter.java:29: error: cannot find symbol
  [groovyc]         (ForkJoinPool ex, int origin, int fence, long[] array) {
  [groovyc]          ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelLongArrayWithFilter
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelDoubleArrayWithLongMapping.java:38: error: cannot find symbol
  [groovyc]         (ForkJoinPool ex, int origin, int fence, double[] array) {
  [groovyc]          ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelDoubleArrayWithLongMapping
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelDoubleArrayWithMapping.java:39: error: cannot find symbol
  [groovyc]         (ForkJoinPool ex, int origin, int fence, double[] array) {
  [groovyc]          ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelDoubleArrayWithMapping<U>
  [groovyc]   where U is a type-variable:
  [groovyc]     U extends Object declared in class ParallelDoubleArrayWithMapping
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelLongArrayWithDoubleMapping.java:38: error: cannot find symbol
  [groovyc]         (ForkJoinPool ex, int origin, int fence, long[] array) {
  [groovyc]          ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelLongArrayWithDoubleMapping
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/ParallelLongArrayWithMapping.java:39: error: cannot find symbol
  [groovyc]         (ForkJoinPool ex, int origin, int fence, long[] array) {
  [groovyc]          ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ParallelLongArrayWithMapping<U>
  [groovyc]   where U is a type-variable:
  [groovyc]     U extends Object declared in class ParallelLongArrayWithMapping
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/actor/Actors.java:20: error: cannot find symbol
  [groovyc] import groovy.lang.DelegatesTo;
  [groovyc]                   ^
  [groovyc]   symbol:   class DelegatesTo
  [groovyc]   location: package groovy.lang
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/dataflow/Dataflow.java:20: error: cannot find symbol
  [groovyc] import groovy.lang.DelegatesTo;
  [groovyc]                   ^
  [groovyc]   symbol:   class DelegatesTo
  [groovyc]   location: package groovy.lang
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/AbstractParallelAnyArray.java:1155: error: cannot find symbol
  [groovyc]         OFPap(ForkJoinPool ex, int origin, int fence,
  [groovyc]               ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class OFPap<T>
  [groovyc]   where T is a type-variable:
  [groovyc]     T extends Object declared in class OFPap
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/AbstractParallelAnyArray.java:1336: error: cannot find symbol
  [groovyc]         DFPap(ForkJoinPool ex, int origin, int fence,
  [groovyc]               ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class DFPap
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/AbstractParallelAnyArray.java:1514: error: cannot find symbol
  [groovyc]         LFPap(ForkJoinPool ex, int origin, int fence,
  [groovyc]               ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class LFPap
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/AbstractParallelAnyArray.java:1695: error: cannot find symbol
  [groovyc]         ORPap(ForkJoinPool ex, int origin, int fence,
  [groovyc]               ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class ORPap<T>
  [groovyc]   where T is a type-variable:
  [groovyc]     T extends Object declared in class ORPap
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/AbstractParallelAnyArray.java:1877: error: cannot find symbol
  [groovyc]         DRPap(ForkJoinPool ex, int origin, int fence,
  [groovyc]               ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class DRPap
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/AbstractParallelAnyArray.java:2057: error: cannot find symbol
  [groovyc]         LRPap(ForkJoinPool ex, int origin, int fence,
  [groovyc]               ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class LRPap
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/AbstractParallelAnyArray.java:2239: error: cannot find symbol
  [groovyc]         OOMPap(ForkJoinPool ex, int origin, int fence,
  [groovyc]                ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class OOMPap<T,U>
  [groovyc]   where T,U are type-variables:
  [groovyc]     T extends Object declared in class OOMPap
  [groovyc]     U extends Object declared in class OOMPap
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/AbstractParallelAnyArray.java:2269: error: cannot find symbol
  [groovyc]         DOMPap(ForkJoinPool ex, int origin, int fence,
  [groovyc]                ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class DOMPap<U>
  [groovyc]   where U is a type-variable:
  [groovyc]     U extends Object declared in class DOMPap
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/AbstractParallelAnyArray.java:2298: error: cannot find symbol
  [groovyc]         LOMPap(ForkJoinPool ex, int origin, int fence,
  [groovyc]                ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class LOMPap<U>
  [groovyc]   where U is a type-variable:
  [groovyc]     U extends Object declared in class LOMPap
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/AbstractParallelAnyArray.java:2328: error: cannot find symbol
  [groovyc]         OUOMPap(ForkJoinPool ex, int origin, int fence,
  [groovyc]                 ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class OUOMPap<T,U>
  [groovyc]   where T,U are type-variables:
  [groovyc]     T extends Object declared in class OUOMPap
  [groovyc]     U extends Object declared in class OUOMPap
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/AbstractParallelAnyArray.java:2390: error: cannot find symbol
  [groovyc]         DUOMPap(ForkJoinPool ex, int origin, int fence,
  [groovyc]                 ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class DUOMPap<U>
  [groovyc]   where U is a type-variable:
  [groovyc]     U extends Object declared in class DUOMPap
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/AbstractParallelAnyArray.java:2452: error: cannot find symbol
  [groovyc]         LUOMPap(ForkJoinPool ex, int origin, int fence,
  [groovyc]                 ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class LUOMPap<U>
  [groovyc]   where U is a type-variable:
  [groovyc]     U extends Object declared in class LUOMPap
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/AbstractParallelAnyArray.java:2517: error: cannot find symbol
  [groovyc]         OFOMPap(ForkJoinPool ex, int origin, int fence,
  [groovyc]                 ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class OFOMPap<T,U>
  [groovyc]   where T,U are type-variables:
  [groovyc]     T extends Object declared in class OFOMPap
  [groovyc]     U extends Object declared in class OFOMPap
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/AbstractParallelAnyArray.java:2599: error: cannot find symbol
  [groovyc]         DFOMPap(ForkJoinPool ex, int origin, int fence,
  [groovyc]                 ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class DFOMPap<U>
  [groovyc]   where U is a type-variable:
  [groovyc]     U extends Object declared in class DFOMPap
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/AbstractParallelAnyArray.java:2688: error: cannot find symbol
  [groovyc]         LFOMPap(ForkJoinPool ex, int origin, int fence,
  [groovyc]                 ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class LFOMPap<U>
  [groovyc]   where U is a type-variable:
  [groovyc]     U extends Object declared in class LFOMPap
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/AbstractParallelAnyArray.java:2772: error: cannot find symbol
  [groovyc]         OROMPap(ForkJoinPool ex, int origin, int fence,
  [groovyc]                 ^
  [groovyc]   symbol:   class ForkJoinPool
  [groovyc]   location: class OROMPap<T,U>
  [groovyc]   where T,U are type-variables:
  [groovyc]     T extends Object declared in class OROMPap
  [groovyc]     U extends Object declared in class OROMPap
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/CustomConcurrentHashMap.java:9: warning: Unsafe is internal proprietary API and may be removed in a future release
  [groovyc] import sun.misc.Unsafe;
  [groovyc]                ^
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/dataflow/operator/SeparationClosure.java:76: warning: non-varargs call of varargs method with inexact argument type for last parameter;
  [groovyc]         final List<Object> results = code.call(null);
  [groovyc]                                                ^
  [groovyc]   cast to Object for a varargs call
  [groovyc]   cast to Object[] for a non-varargs call and to suppress this warning
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/CustomConcurrentHashMap.java:3011: warning: Unsafe is internal proprietary API and may be removed in a future release
  [groovyc]     static final Unsafe UNSAFE;
  [groovyc]                  ^
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/CustomConcurrentHashMap.java:3055: warning: Unsafe is internal proprietary API and may be removed in a future release
  [groovyc]     private static sun.misc.Unsafe getUnsafe() {
  [groovyc]                            ^
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/CustomConcurrentHashMap.java:3057: warning: Unsafe is internal proprietary API and may be removed in a future release
  [groovyc]             return sun.misc.Unsafe.getUnsafe();
  [groovyc]                            ^
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/CustomConcurrentHashMap.java:3061: warning: Unsafe is internal proprietary API and may be removed in a future release
  [groovyc]             (new java.security.PrivilegedExceptionAction<sun.misc.Unsafe>() {
  [groovyc]                                                                  ^
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/CustomConcurrentHashMap.java:3062: warning: Unsafe is internal proprietary API and may be removed in a future release
  [groovyc]                 public sun.misc.Unsafe run() throws Exception {
  [groovyc]                                ^
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/CustomConcurrentHashMap.java:3063: warning: Unsafe is internal proprietary API and may be removed in a future release
  [groovyc]                     Class<sun.misc.Unsafe> k = sun.misc.Unsafe.class;
  [groovyc]                                   ^
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/extra166y/CustomConcurrentHashMap.java:3063: warning: Unsafe is internal proprietary API and may be removed in a future release
  [groovyc]                     Class<sun.misc.Unsafe> k = sun.misc.Unsafe.class;
  [groovyc]                                                        ^
  [groovyc] Note: Some input files use or override a deprecated API.
  [groovyc] Note: Recompile with -Xlint:deprecation for details.
  [groovyc] Note: Some input files use unchecked or unsafe operations.
  [groovyc] Note: Recompile with -Xlint:unchecked for details.
  [groovyc] 100 errors
  [groovyc] 10 warnings
  [groovyc] 
  [groovyc] 
  [groovyc] 1 error
Comment 4 gil cattaneo 2014-10-31 09:10:13 EDT
Use JVM jsr166, not more required

Note You need to log in before you can comment on or make changes to this bug.